OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000042OMNeT++IDE / result analysispublic2009-01-09 12:412009-05-12 15:45
Reportermbergner 
Assigned Totomi 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformIntel Core 2 6400OSUbuntu 8.10OS VersionOmnet 4.0rc1
Product Version4.0rc1 
Target Version4.1Fixed in Version4.1 
Summary0000042: Plot time averages in the analysis.
DescriptionIt would be nice to have a function to apply where I can calculate a mean over a fixed time interval.

What I mean ist that I collect some data in a vector and then calculate a mean over every 1s or 1m or so. This is of course independent of the number of entries recorded in that time interval.

If this was already possible in the IDE, excuse this feature request and see it as a bug in the presentation/documentation (because I did not see it :)).
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000141)
baumgart (reporter)
2009-04-03 14:52

This would especially be useful to average vector value over several repetitions of the same experiment.
(0000142)
andras (administrator)
2009-04-05 19:45

Yes, this would be nice to have.
(0000148)
tomi (developer)
2009-05-12 15:45

Implemented as 'timewinavg' operation.

timewinavg(windowSize):
  Calculates time average: replaces input values in every `windowSize'
  interval with their mean.
  tout[k] = k * winSize
  yout[k] = average of y values in the [(k-1)*winSize, k*winSize) interval
    - windowSize: size of window in seconds

- Issue History
Date Modified Username Field Change
2009-01-09 12:41 mbergner New Issue
2009-01-09 12:41 mbergner Assigned To => tomi
2009-04-03 14:52 baumgart Note Added: 0000141
2009-04-05 19:44 andras Status new => confirmed
2009-04-05 19:45 andras Note Added: 0000142
2009-04-05 19:45 andras Target Version => 4.1
2009-05-12 15:45 tomi Note Added: 0000148
2009-05-12 15:45 tomi Status confirmed => resolved
2009-05-12 15:45 tomi Fixed in Version => 4.1
2009-05-12 15:45 tomi Resolution open => fixed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker